Bug 8467 - lpd having trouble forking and dying correctly
Summary: lpd having trouble forking and dying correctly
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr   
(Show other bugs)
Version: 6.1
Hardware: alpha Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-14 14:49 UTC by frederick.a.niles.1
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-19 13:38:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description frederick.a.niles.1 2000-01-14 14:49:55 UTC
This only happens with RedHat 6.1/Alpha.  I've tried lpr-0.41, lpr-0.42,
and lpr-0.48-1 and it happens with all of them.  I'm running on a
dual ev6 (SMP 21264).

Obvious behavior:
Things spool up but nothing prints, until you restart the lpd.
Then everything in the que prints and nothing submitted after that.

lpr: connect: Connection refused
jobs queued, but cannot start daemon.

It seems that two "lpd" are starting after running
/etc/rc.d/init.d/lpd start

However, if I run the same script with "stop" only one of
the two is killed.  Somebody's not reaping it's daemons
and/or it's not dying correctly.

I've tried rebuilding "0.48-1" without optimization and
without the special "alpha" directives, both/either didn't help.

Can anybody else confirm or deny this bug?

Comment 1 frederick.a.niles.1 2000-01-14 15:12:59 UTC
Workaround:

After lpd starts up it will spawn a child, kill that child.
It will spawn one more, kill that child too. (Don't kill the parent)

Then it will stop spawning badly and work correctly after that.

Very Weird.

Comment 2 Bernhard Rosenkraenzer 2000-01-19 13:38:59 UTC
Fixed in 0.50, I hope.

Comment 3 frederick.a.niles.1 2000-01-19 15:33:59 UTC
The latest version of lpr is 0.48-1 on ftp.redhat.com/pub/rawhide.
When can I expect it to actually be available?
	Thanks,
	Rick.


Note You need to log in before you can comment on or make changes to this bug.